Subject: Re: Memory mapping PCI memory region to user space

From: David Hawkins <[email-masked]>
Date: Thu, 23 Mar 2006 09:04:55 -0800

> I'm trying to map a PCI memory region 1 into user space from my driver 
> (PPC440GX, Linux 2.6.10).  Here's the mmap routine of the driver that 
> I'm using:

Hi Chris,

I wrote a generic PCI IO driver when testing the
Yosemite 440EP, take a look at the code, its fairly
well commented. You probably just need to add the
PCI vendor ID for your target board:
(or you can echo the deviceID:vendorID to the
sysfs node for the driver)

http://www.ovro.caltech.edu/~dwh/pci_io.tar.gz

There's some comments in here on it:
http://www.ovro.caltech.edu/~dwh/correlator/pdf/LNX-723-Hawkins.pdf

For example, on an x86 system, I was looking for
a PLX PCI9054 10b5:9054, and then on the yosemite
board I was looking for the same hardware.

In your case, its not clear from your email whether you
are on a 440GX looking for another device, or on a host
looking for a 440GX. Either way, the driver should work.

Cheers
Dave